- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# MFnVolumeAxisField Class Reference

# OpenMayaFX - API module for effects | FunctionSet classes

Search for all occurrences

## Detailed Description

Function set for VolumeAxis Fields.

Function set for creation, edit, and query of VolumeAxis Fields.

A volume axis field provides in field form some of the speed controls of volume emitters.

`#include <MFnVolumeAxisField.h>`

Inheritance diagram for MFnVolumeAxisField:
[legend]

List of all members.

## Public Member Functions
virtual MFn::Type | type () const
| Function set type.
virtual | ~MFnVolumeAxisField ()
| Destructor.
| MFnVolumeAxisField ()
| Default constructor.
| MFnVolumeAxisField (MObject &object, MStatus *ReturnStatus=NULL)
| Constructor.
| MFnVolumeAxisField (const MDagPath &object, MStatus *ret=NULL)
| Constructor.
bool | invertAttenuation (MStatus *ReturnStatus=NULL) const
| Returns the value of the invertAttenuation attribute for the field force.
MVector | direction (MStatus *ReturnStatus=NULL) const
| Returns the direction attribute for the field force.
double | speedAlongAxis (MStatus *ReturnStatus=NULL) const
| Returns the alongAxis attribute of the field.
double | speedAroundAxis (MStatus *ReturnStatus=NULL) const
| Returns the aroundAxis attribute of the field.
double | speedAwayFromAxis (MStatus *ReturnStatus=NULL) const
| Returns the awayFromAxis attribute of the field.
double | speedAwayFromCenter (MStatus *ReturnStatus=NULL) const
| Returns the awayFromCenter attribute of the field.
double | directionalSpeed (MStatus *ReturnStatus=NULL) const
| Returns the directionalSpeed attribute of the field.
double | turbulence (MStatus *ReturnStatus=NULL) const
| Returns the turbulence intensity of the field.
double | turbulenceSpeed (MStatus *ReturnStatus=NULL) const
| Returns the rate of change of the turbulence over time.
MVector | turbulenceFrequency (MStatus *ReturnStatus=NULL) const
| Returns the turbulenceFrequency attribute for the field force.
MVector | turbulenceOffset (MStatus *ReturnStatus=NULL) const
| Returns the turbulenceOffset attribute for the field force.
double | detailTurbulence (MStatus *ReturnStatus=NULL) const
| Returns the intensity of a second higher frequency turbulence.
MStatus | setInvertAttenuation (bool enable)
| Enables the field will be stronger the closer to the edge of the volume a point is.
MStatus | setDirection (const MVector &direction)
| Sets the direction attribute for the field force.
MStatus | setSpeedAlongAxis (double value)
| Sets the speed along axis attribute for the field force.
MStatus | setSpeedAroundAxis (double value)
| Sets the speed around axis attribute for the field force.
MStatus | setSpeedAwayFromAxis (double value)
| Sets the speed away from axis attribute for the field force.
MStatus | setSpeedAwayFromCenter (double value)
| Sets the speed away from center attribute for the field force.
MStatus | setDirectionalSpeed (double value)
| Sets the directional speed attribute for the field force.
MStatus | setTurbulence (double value)
| Sets the turbulence attribute for the field force.
MStatus | setTurbulenceSpeed (double value)
| Sets the turbulence speed attribute for the field force.
MStatus | setTurbulenceFrequency (const MVector &value)
| Sets the turbulenceFrequency attribute for the field force.
MStatus | setTurbulenceOffset (const MVector &value)
| Sets the turbulenceOffset attribute for the field force.
MStatus | detailTurbulence (double value)
| Sets the detailTurbulence attribute for the field force.
| MFnVolumeAxisField (const MObject &object, MStatus *ret=NULL)
| Constructor.
## Protected Member Functions
virtual const char * | className () const
| Class name. Search for all occurrences

## Constructor & Destructor Documentation

~MFnVolumeAxisField | ( |  | ) | `[virtual]`

Destructor.

Class destructor.

MFnVolumeAxisField | ( | MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

MFnVolumeAxisField | ( | const MDagPath & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given constant MDagPath object.

Parameters:

  [in] | object | The const MDagPath to attach the function set to
  [out] | ReturnStatus | The return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

MFnVolumeAxisField | ( | const MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

## Member Function Documentation

MFn::Type type | ( |  | ) | const `[virtual]`

Search for all occurrences

Function set type.

Return the class type : MFn::kVolumeAxis.

Reimplemented from MFnField.

bool invertAttenuation | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Returns the value of the invertAttenuation attribute for the field force.

Parameters:

  [out] | ReturnStatus | Status code

Returns:
  - true Field is strongest close to volume outer boundary.
  - false Field is strongest close to volume center.

Status Codes:
  - MS::kSuccess The method was successful.
  - MS::kFailure An object error has occurred.

MVector direction | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Returns the direction attribute for the field force.

Parameters:

  [out] | ReturnStatus | Status code

Returns:
  A vector representing direction.

Status Codes:
  - MS::kSuccess The method was successful.
  - MS::kFailure An object error has occurred.

double speedAlongAxis | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Returns the alongAxis attribute of the field.

Parameters:

  [out] | ReturnStatus | Status code

Returns:
  A double value representing the speed along axis.

Status Codes:
  - MS::kSuccess The method was successful.
  - MS::kFailure An object error has occurred.

double speedAroundAxis | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Returns the aroundAxis attribute of the field.

Parameters:

  [out] | ReturnStatus | Status code

Returns:
  A double value representing the speed around axis.

Status Codes:
  - MS::kSuccess The method was successful.
  - MS::kFailure An object error has occurred.

double speedAwayFromAxis | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Returns the awayFromAxis attribute of the field.

Parameters:

  [out] | ReturnStatus | Status code

Returns:
  A double value representing the speed away from axis.

Status Codes:
  - MS::kSuccess The method was successful.
  - MS::kFailure An object error has occurred.

double speedAwayFromCenter | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Returns the awayFromCenter attribute of the field.

Parameters:

  [out] | ReturnStatus | Status code

Returns:
  A double value representing the speed away from center.

Status Codes:
  - MS::kSuccess The method was successful.
  - MS::kFailure An object error has occurred.

double directionalSpeed | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Returns the directionalSpeed attribute of the field.

Parameters:

  [out] | ReturnStatus | Status code

Returns:
  A double value representing the directional speed.

Status Codes:
  - MS::kSuccess The method was successful.
  - MS::kFailure An object error has occurred.

double turbulence | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Returns the turbulence intensity of the field.

Parameters:

  [out] | ReturnStatus | Status code

Returns:
  A double value representing the turbulence intensity.

Status Codes:
  - MS::kSuccess The method was successful.
  - MS::kFailure An object error has occurred.

double turbulenceSpeed | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Returns the rate of change of the turbulence over time.

Parameters:

  [out] | ReturnStatus | Status code

Returns:
  A double value representing the turbulence speed.

Status Codes:
  - MS::kSuccess The method was successful.
  - MS::kFailure An object error has occurred.

MVector turbulenceFrequency | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Returns the turbulenceFrequency attribute for the field force.

Parameters:

  [out] | ReturnStatus | Status code

Returns:
  A vector representing frequency or scale of the turbulence.

Status Codes:
  - MS::kSuccess The method was successful.
  - MS::kFailure An object error has occurred.

MVector turbulenceOffset | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Returns the turbulenceOffset attribute for the field force.

Parameters:

  [out] | ReturnStatus | Status code

Returns:
  A vector representing an offset or translation of the turbulence.

Status Codes:
  - MS::kSuccess The method was successful.
  - MS::kFailure An object error has occurred.

double detailTurbulence | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Returns the intensity of a second higher frequency turbulence.

Parameters:

  [out] | ReturnStatus | Status code

Returns:
  A double value for the intensity of fine scale turbulence.

Status Codes:
  - MS::kSuccess The method was successful.
  - MS::kFailure An object error has occurred.

MStatus setInvertAttenuation | ( | bool | enable | ) |

Search for all occurrences

Enables the field will be stronger the closer to the edge of the volume a point is.

Parameters:

  [in] | enable | Flag to invert falloff of intensity.

Returns:
  Status code

Status Codes:
  - MS::kSuccess The method was successful.
  - MS::kFailure An object error has occurred.

MStatus setDirection | ( | const MVector & | direction | ) |

Search for all occurrences

Sets the direction attribute for the field force.

Parameters:

  [in] | direction | A vector representing direction.

Returns:
  Status code

Status Codes:
  - MS::kSuccess The method was successful.
  - MS::kFailure An object error has occurred.

MStatus setSpeedAlongAxis | ( | double | speed | ) |

Search for all occurrences

Sets the speed along axis attribute for the field force.

Parameters:

  [in] | speed | A double representing the speed along axis.

Returns:
  Status code

Status Codes:
  - MS::kSuccess The method was successful.
  - MS::kFailure An object error has occurred.

MStatus setSpeedAroundAxis | ( | double | speed | ) |

Search for all occurrences

Sets the speed around axis attribute for the field force.

Parameters:

  [in] | speed | A double representing the speed around axis.

Returns:
  Status code

Status Codes:
  - MS::kSuccess The method was successful.
  - MS::kFailure An object error has occurred.

MStatus setSpeedAwayFromAxis | ( | double | speed | ) |

Search for all occurrences

Sets the speed away from axis attribute for the field force.

Parameters:

  [in] | speed | A double representing the speed away from axis.

Returns:
  Status code

Status Codes:
  - MS::kSuccess The method was successful.
  - MS::kFailure An object error has occurred.

MStatus setSpeedAwayFromCenter | ( | double | speed | ) |

Search for all occurrences

Sets the speed away from center attribute for the field force.

Parameters:

  [in] | speed | A double representing the speed away from center.

Returns:
  Status code

Status Codes:
  - MS::kSuccess The method was successful.
  - MS::kFailure An object error has occurred.

MStatus setDirectionalSpeed | ( | double | speed | ) |

Search for all occurrences

Sets the directional speed attribute for the field force.

Parameters:

  [in] | speed | A double representing the directional speed.

Returns:
  Status code

Status Codes:
  - MS::kSuccess The method was successful.
  - MS::kFailure An object error has occurred.

MStatus setTurbulence | ( | double | value | ) |

Search for all occurrences

Sets the turbulence attribute for the field force.

Parameters:

  [in] | value | A double representing the turbulence intensity.

Returns:
  Status code

Status Codes:
  - MS::kSuccess The method was successful.
  - MS::kFailure An object error has occurred.

MStatus setTurbulenceSpeed | ( | double | value | ) |

Search for all occurrences

Sets the turbulence speed attribute for the field force.

Parameters:

  [in] | value | A double representing the rate of change of the turbulence.

Returns:
  Status code

Status Codes:
  - MS::kSuccess The method was successful.
  - MS::kFailure An object error has occurred.

MStatus setTurbulenceFrequency | ( | const MVector & | value | ) |

Search for all occurrences

Sets the turbulenceFrequency attribute for the field force.

Parameters:

  [in] | value | A vector representing the frequency of turbulence.

Returns:
  Status code

Status Codes:
  - MS::kSuccess The method was successful.
  - MS::kFailure An object error has occurred.

MStatus setTurbulenceOffset | ( | const MVector & | value | ) |

Search for all occurrences

Sets the turbulenceOffset attribute for the field force.

Parameters:

  [in] | value | A vector representing the translation of turbulence.

Returns:
  Status code

Status Codes:
  - MS::kSuccess The method was successful.
  - MS::kFailure An object error has occurred.

MStatus detailTurbulence | ( | double | value | ) |

Search for all occurrences

Sets the detailTurbulence attribute for the field force.

Parameters:

  [in] | value | A double representing the intensity of a second higher frequency turbulence.

Returns:
  Status code

Status Codes:
  - MS::kSuccess The method was successful.
  - MS::kFailure An object error has occurred.

MFnVolumeAxisField MFnVolumeAxisField MFnVolumeAxisField MFnVolumeAxisField MFnVolumeAxisField MFnVolumeAxisField MFnVolumeAxisField MFnVolumeAxisField MFnVolumeAxisField MFnVolumeAxisField
MFnVolumeAxisField MFnVolumeAxisField MFnVolumeAxisField MFnVolumeAxisField MFnVolumeAxisField MFnVolumeAxisField MFnVolumeAxisField MFnVolumeAxisField MFnVolumeAxisField MFnVolumeAxisField